Trading
private/get_order_history_by_instrument
Retrieves the order history for a specific instrument. The history includes orders that have been partially or fully filled, as well as cancelled orders (if include_unfilled_orders is set to true).
Results can be paginated using offset and count parameters, or using continuation tokens. Use include_old_orders to include orders from before a certain date, and historical to retrieve historical order data.
📖 Related Article: Accessing Historical Trades and Orders Using API
GET
cURL
Authorizations
Query Parameters
Determines whether historical trade and order records should be retrieved.
false(default): Returns recent records: orders for 30 min, trades for 24h.true: Fetches historical records, available after a short delay due to indexing. Recent data is not included.
📖 Related Article: Accessing Historical Trades and Orders Using API